LibreOffice: Presentation2 Service Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Included Services | Exported Interfaces | List of all members
Presentation2 Service Reference

enhances the Presentation service to give access to a XPresentation2 interface. More...

`import"Presentation2.idl";`

Inheritance diagram for Presentation2:

## Included Services
service | Presentation

## Exported Interfaces
interface | com::sun::star::presentation::XPresentation2
| enhances the XPresentation interface to give access to a XSlideShowController and to start a presentation with arguments. More...
Exported Interfaces inherited from Presentation
interface | com::sun::star::presentation::XPresentation
| lets you start and stop a presentation. More...
interface | com::sun::star::beans::XPropertySet
| This is the standard interface for access to the properties from this service. More...
Exported Interfaces inherited from XPresentation2
interface | XPresentation
| allows to start and stop the presentation. More...
interface | com::sun::star::beans::XPropertySet
| gives access to the properties of the slide show. More...

## Additional Inherited Members
Public Member Functions inherited from XPresentation
void | start ()
| The presentation is shown in full-screen and started from the beginning. More...
void | end ()
| The presentation is stopped and the full-screen mode will end. More...
void | rehearseTimings ()
| Starts the presentation from the beginning and shows the actual running time to the user. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XPresentation2
void | startWithArguments ([in] sequence< ::com::sun::star::beans::PropertyValue > Arguments)
| start the slide show with the given arguments. More...
boolean | isRunning ()
| returns true if the slide show is currently running More...
XSlideShowController | getController ()
| if the slide show is running, this returns a controller object to control the running slide show. More...
Public Attributes inherited from Presentation
boolean | AllowAnimations
| enables/disables the shape animations. More...
string | CustomShow
| If this string is not empty, it contains the name of a customized show that is used for the presentation. More...
string | FirstPage
| If this string is not empty, it contains the name of the page where the presentation is started. More...
boolean | IsAlwaysOnTop
| If this property is set to `TRUE`, the window of the presentation is always on top of all other windows. More...
boolean | IsAutomatic
| If this property is `TRUE`, all pages are changed automatically. More...
boolean | IsEndless
| If this property is set to `TRUE`, the presentation is repeated endlessly. More...
boolean | IsFullScreen
| If this property is set to `TRUE`, the presentation runs in full-screen mode. More...
boolean | IsLivePresentation
| With this property, you can set the presentation to live mode. More...
boolean | IsMouseVisible
| If this property is `TRUE`, the mouse is visible during the presentation. More...
long | Pause
| is the duration of the black screen after the presentation has finished. More...
boolean | StartWithNavigator
| If this is set to `TRUE`, the Navigator is opened at the start of the presentation. More...
boolean | UsePen
| If this is `TRUE`, a pen is shown during presentation. More...

## Detailed Description

enhances the Presentation service to give access to a XPresentation2 interface.

Since
  OOo 3.0

## Exported Interfaces

## ◆ Presentation

service Presentation

## Exported Interfaces

## ◆ com::sun::star::presentation::XPresentation2

interface com::sun::star::presentation::XPresentation2

enhances the XPresentation interface to give access to a XSlideShowController and to start a presentation with arguments.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/Presentation2.idl